/*
ICCC Version 3.1, CBU Version 4.2, May 2011.
*/
body {
   font-family: sans-serif;
   background-color: #ffffff;
   margin: 0 0 0 0!important;
}



body > div {
    padding: 0px!important;
}

.blue_header {
    display:flex;
    flex-direction:column;
    background-color: #242B68;
    color: #FFFFFF;
    padding: 0;
    width: 100%;
    padding:0px;
    overflow: hidden;
    font-size: 14px;
    height: 2.68rem;
    float:left;
    clear:right;
    margin-bottom:20px;
    
}


.ibmfilepath { font-family: monospace; }
.ibmcommand { font-weight: bold; }
.ibmemphasis { font-style: italic; }
.mv, .pk, .pkdef, .pv {
   font-family: monospace; font-size: 100%;
   padding-top: 0em;
   padding-right: .3em;
   padding-bottom: 0em;
   padding-left: .3em;
}

tt, samp, kbd, var, pre,
.filepath { font-family: monospace; font-size: 100%; }
BODY.nav	{
	background-color: #FFFFFF;
	border-right: 0.2em ridge black;
	font-size: 0.95em;
}

.base {
   font-weight: normal;
   font-style: normal;
   font-variant: normal;
   text-decoration: none;
   background-color: #ffffff;
}

table {
   color: black;
   width: 90%;
   border-collapse: collapse;
   border-color: black;
   background: white;
   margin-top: 0.5em;
   margin-bottom: 0.5em;
   margin-left: 0em;
   margin-right: 0em;
}

.tbldesc { font-style: italic; }

th {
   font-weight: bold;
   font-size: 1.0em;
   color: black;
   background-color: #dadada;
   padding-top: 0.1em;
   padding-bottom: 0.3em;
   padding-left: 1em;
   padding-right: 1em;
}

th.base {
	font-weight: bold;
    color: black;
    border: 1px solid #606060;
    background-color: #dcdada;
    padding-top: 0.65em;
    padding-bottom: 0.65em;
    padding-left: 1em;
    padding-right: 1em;
}

td {
   font-size: 1.0em;
   color: black;
   background-color: white;
   padding-top: 0.1em;
   padding-bottom: 0.3em;
   padding-left: 1em;
   padding-right: 1em;
}

/* font size in tables for IE6 - add. Jan'07 */
* html table th,
* html table td {
font-size: 0.8em;
}


cite      { font-style: italic; }
em        { font-style: italic; }
strong   { font-weight: bold; }

caption { text-align: left; font-style: italic; }
/*font size of table caption for IE6 - add. Jan'07*/
* html table caption { font-size: .8em }

dt { margin-top: 0.5em; margin-bottom: 0.5em; font-weight: bold; }
dd { margin-left: 1.0em; }

pre,
pre.cgraphic {
background-color: #eee;
color: #0a0a0a;
    padding: 0px 5px;
    border: 1px solid rgba(51, 51, 51, 0.1);
    font-family: Courier, monospace;
padding: 5px;
 white-space: pre-wrap;       /* css-3 */
 white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
 white-space: -pre-wrap;      /* Opera 4-6 */
 white-space: -o-pre-wrap;    /* Opera 7 */
 word-wrap: break-word;       /* Internet Explorer 5.5+ */
}

.italic { font-style: italic; }
.bold { font-weight: bold; }
.underlined { text-decoration: underline; }
.bold-italic, .boldItalic { font-weight: bold; font-style: italic; }
.smallCaps, .smallcaps  { text-transform: uppercase; font-size: smaller; font-variant: small-caps; }
.italic-underlined { font-style: italic; text-decoration: underline; }
.bold-underlined { font-weight: bold; text-decoration: underline; }
.bold-italic-underlined { font-weight: bold; font-style: italic; text-decoration: underline; }
.smallcaps-underlined { font-variant: small-caps; text-decoration: underline; }
.emphasis { font-style: italic; }
.inlinedef { font-style: italic; }

.sidebar     { background: #cccccc; }



a.toclink:link 		{ text-decoration: none; }
a.toclink:active 	{ text-decoration: none; }
a.toclink:visited	{ text-decoration: none; }
a.toclink:hover 	{ text-decoration: underline; }

a.ptoclink:link		{ text-decoration: none; }
a.ptoclink:active	{ text-decoration: none; }
a.ptoclink:visited	{ text-decoration: none; }
a.ptoclink:hover	{ text-decoration: underline; }

a.indexlink:link 	{ text-decoration: none; }
a.indexlink:active 	{ text-decoration: none; }
a.indexlink:visited { text-decoration: none; }
a.indexlink:hover 	{ text-decoration: underline; }

a.figurelist:link 		{ text-decoration: none; }
a.figurelist:active 	{ text-decoration: none; }
a.figurelist:visited 	{ text-decoration: none; }
a.figurelist:hover 		{ text-decoration: underline; }

a.tablelist:link 	{ text-decoration: none; }
a.tablelist:active 	{ text-decoration: none; }
a.tablelist:visited { text-decoration: none; }
a.tablelist:hover 	{ text-decoration: underline; }

a.boldgreylink:link 	{ text-decoration: none; color: #333333; font-family: Verdana, Arial, sans-serif; font-weight: bold; font-size: 0.9em; }
a.boldgreylink:visited { text-decoration: none; color: #333333; font-family: Verdana, Arial, sans-serif; font-weight: bold; font-size: 0.9em; }
a.boldgreylink:hover 	{ text-decoration: underline; color: #333333; font-family: Verdana, Arial, sans-serif; font-weight: bold; font-size: 0.9em; }


.rharrow { color:#ccc; font-family: sans-serif; }
a.rhlink:link,
a.rhlink:active,
a.rhlink:visited { font-weight: bold; text-decoration: none; }
a.rhlink:hover { font-weight: bold; text-decoration: underline; }

#breadcrumb, .breadcrumb, span.breadcrumbs { font-size: 0.75em; }


.fastpath { margin-top: 1em; margin-bottom: 1em; }
.fastpathtitle { font-weight: bold; }
.toc         { font-size: small; }

.nested0 { margin-top: 0em; }
.p { margin-top: 1em; }

span.figcap { font-style: italic; }
span.figdesc { font-style: italic; }
div.figbox {}
div.figrules {}
div.fignone {}

.fignone {}
.figborder {}
.figsides {}
.figtop {}
.figbottom {}
.figtopbot {}

.parentlink {}
.prevlink {}
.nextlink {}
.relconceptshd {}
.reltaskshd {}
.relrefhd {}

.synnone {}
.synborder   {}
.synsides {}
.syntop {}
.synbottom {}
.syntopbot {}

.skip      { margin-top: 1em; }
.skipspace { margin-top: 1em; margin-bottom: 1em; }
.ulchildlink  { margin-top: 1em; margin-bottom: 1em; }
.olchildlink  { margin-top: 1em; margin-bottom: 1em; }

ul,ol {
	margin-top: 0.1em;
	padding-top: 0.1em;
}

ul.simple { list-style-type: none; }

ul.indexlist { list-style-type: none; }

ol li {
	margin-top: 0.0em;
	margin-bottom: 0.0em;
	margin-left: 0.0em;
}
ul li {
	margin-top: 0.0em;
	margin-bottom: 0.0em;
	margin-left: 0.0em;
}
ol li div p {
	list-style-type: decimal;
	margin-top: 0.2em;
	margin-bottom: 0.2em;
}
ul li div p {
	list-style-type: disc;
	margin-top: 0.2em;
	margin-bottom: 0.2em;
}

*[compact="yes"]>li {
	margin-top: 0em;
}
*[compact="no"]>li {
	margin-top: 0.5em;
}

hr /* For Internet Explorer */
{
height: 1px;
color: #ccc;
background-color: #ccc;
text-align: left;
width: 95%;
height: 1px;
color: #ccc;
border: none; }

html>body hr /* For Gecko-based browsers */
{
margin-left: 0;
width: 95%;
height: 1px;
background-color: #ccc;
border: none;
margin-top:5px;}


h2, .subtitle, .pagesubtitle, .topictitle2 {
    font-size: 1.25em;
	font-style: normal;
	font-weight: bold;
	margin-bottom: 0.0em;
	padding-bottom: 0.0em;
}
h3, .boldtitle, .topictitle3 {	
    font-size: 1.0em;
	font-style: normal;
	font-weight: bold;
	margin-bottom: 0.2em;
	padding-bottom: 0.1em;
}
h4, .topictitle4 {
    font-size: 0.9em;
	font-style: normal;
	font-weight: bold;
	margin-bottom: 0.1em;
	padding-bottom: 0.1em;
}
h5, .topictitle5 {
    font-size: 0.8em;
	font-style: normal;
	font-weight: bold;
	margin-bottom: 0em;
	padding-bottom: 0em;
}
h6, .topictitle6 {
    font-size: 0.7em;
	font-style: normal;
	font-weight: bold;
	margin-bottom: 0em;
	padding-bottom: 0em;
}
div.headtitle { font-size: 1em; font-weight: bold; margin-left: 0em; }
div.head0 { font-size: 0.9em; font-weight: bold; margin-left: 0em; margin-top: 0.5em; }
div.head1 { font-weight: bold; margin-left: 1em; padding-top: 0.5em; }
div.head2 { font-weight: normal; margin-left: 2em;  }
div.head3 { font-weight: normal; margin-left: 3em;  }
div.head4 { font-weight: normal; margin-left: 4em;  }
div.head5 { font-weight: normal; margin-left: 5em;  }
div.head6 { font-weight: normal; margin-left: 6em;  }
div.head7 { font-weight: normal; margin-left: 7em;  }
div.head8 { font-weight: normal; margin-left: 8em;  }
div.head9 { font-weight: normal; margin-left: 9em;  }

div.head1,
div.head2,
div.head3,
div.head4,
div.head5,
div.head6,
div.head7,
div.head8,
div.head9 {font-size: 1em;}


.tip { margin-top: 1em; margin-bottom: 1em; }
.tiptitle { font-weight: bold; }
.firstcol { font-weight: bold; }
.ptocH1 { font-size: x-small; }
.ptocH2 { font-size: x-small; }
.stitle { font-style: italic; text-decoration: underline; }
.nte {}
.xxlines { white-space: pre; font-size: 0.95em; }

div.imageleft { text-align: left; }
div.imagecenter { text-align: center; }
div.imageright { text-align: right; }
div.imagejustify { text-align: justify; }

div.mmobj { margin-top: 1em; margin-bottom: 1em;  text-align: center; }
div.mmobjleft { margin-top: 1em; margin-bottom: 1em; text-align: left; }
div.mmobjcenter { margin-top: 1em; margin-bottom: 1em; text-align: center; }
div.mmobjright { margin-top: 1em; margin-bottom: 1em; text-align: right; }

pre.screen {
	padding: 1em 1em 1em 1em;
	margin-top: 0.4em;
	margin-bottom: 0.4em;
	border: thin solid black;
	font-size: 100%;
}

.prereq {margin-left:0;}

.defListHead { font-weight: bold; text-decoration: underline; }

span.mv { font-style: italic; }
span.md { text-decoration: line-through; }

.pk, span.pk { font-weight: bold; }

span.pkdef { font-weight: bold; text-decoration: underline; }
span.pv { font-style: italic; }
span.pvdef { font-style: italic; text-decoration: underline; }
span.kwd { font-weight: bold; }
span.kdwdef { font-weight: bold; text-decoration: underline; }

.parmListKwd   { font-weight: bold; }
.parmListVar   { font-style: italic; }

span.oper { font-style: normal; }
span.operdef { text-decoration: underline; }

var, span.var { font-style: italic; }
span.vardef { font-style: italic; text-decoration: underline; }
		
div.msg { padding: 0.2em 1em 1em 1em; margin-top: 0.4em; margin-bottom: 0.4em; }
div.msgnum { float: left; font-weight: bold; margin-bottom: 1em; margin-right: 1em; }
div.msgtext { font-weight: bold; margin-bottom: 1em; }
div.msgitemtitle { font-weight: bold; }
p.msgitem { margin-top: 0em; }

.attention, div.attention { margin-top: 1em; margin-bottom: 1em; }
.attentiontitle, span.attentiontitle { font-weight: bold; }
.cautiontitle, div.cautiontitle { margin-top: 1em; font-weight: bold; }
.caution, div.caution { margin-top: 1em; margin-bottom: 1em; }
.danger, div.danger { padding: 0.5em 0.5em 0.5em 0.5em; border: solid; border-width: thin; font-weight: bold; margin-top: 0.2em; margin-bottom: 1em; }
.dangertitle, div.dangertitle { margin-top: 1em; font-weight: bold; }

.important { margin-top: 1em; margin-bottom: 1em; }
.importanttitle { font-weight: bold; }
.remember { margin-top: 1em; margin-bottom: 1em; }
.remembertitle { font-weight: bold; }
.restriction { margin-top: 1em; margin-bottom: 1em; }
.restrictiontitle { font-weight: bold; }

div.warningtitle { font-weight: bold; }
div.warningbody { margin-left: 2em }

.note { margin-top: 1em; margin-bottom: 1em; }

.notetitle, div.notetitle { font-weight: bold; }

div.notebody { margin-left: 2em; }
div.notelisttitle { font-weight: bold; }

div.fnnum { float: left; }
div.fntext { margin-left: 2em; }

div.stepl { margin-left: 2em; }
div.steplnum { font-weight: bold; float: left; margin-left: 0.5em; }
div.stepltext { margin-left: 5em; }
div.steplnum { font-style: italic; font-weight: bold; float: left; margin-left: 0.5em; }
div.stepltext { margin-bottom: 0.5em; margin-left: 3em; }

div.ledi { margin-left: 3em; }
div.ledesc { margin-left: 3em; }

span.pblktitle { font-weight: bold; }
div.pblklblbox { padding: 0.5em 0.5em 0.5em 0.5em; border: solid; border-width: thin; margin-top: 0.2em; }
span.ednoticestitle { font-weight: bold; }

span.term { font-weight: bold; }
span.idxshow { color: green; }

div.code { font-weight: bold; margin-bottom: 1em; }

span.refkey { font-weight: bold; color: white; background-color: black; }
tt.apl { font-style: italic; }

div.qualifstart {
	padding: 0.1em 0.5em 0.5em 0.5em;
	border-top: solid;
	border-left: solid;
	border-right: solid;
	border-width: thin;
	font-weight: bold;
	margin-top: 0.2em;
	margin-bottom: 0.2em;
	text-align: center;
}
div.qualifend {
	padding: 0.5em 0.5em 0.1em 0.5em;
	border-bottom: solid;
	border-left: solid;
	border-right: solid;
	border-width: thin;
	font-weight: bold;
	margin-bottom: 0.2em;
	text-align: center;
}

.noshade 		{ background-color: transparent; }
.xlight 		{ background-color: #DADADA; }
.light 			{ background-color: #B0B0B0; }
.medium 		{ background-color: #8C8C8C; }
.dark 			{ background-color: #6E6E6E; }
.xdark 			{ background-color: #585858; }
.light-yellow	{ background-color: #FFFFCC; }
.khaki 			{ background-color: #CCCC99; }
.medium-blue 	{ background-color: #6699CC; }
.light-blue 	{ background-color: #CCCCFF; }
.mid-grey 		{ background-color: #CCCCCC; }
.light-grey 	{ background-color: #DADADA; }
.lightest-grey 	{ background-color: #E6E6E6; }

#changed {
    position: absolute;
    left: 0.2em;
    color: #7B68EE;
    background-color: #FFFFFF;
    font-style: normal;
    font-weight: bold;

}

input.buttons  {
   border-top: 0.2em outset #B1B1B1;
   border-right: 0.2em outset #000000;
   border-bottom: 0.2em outset #000000;
   border-left: 0.2em outset #B1B1B1;
   background-color:#E2E2E2;
   margin-bottom: 0.2em;
}

.cgraphic { font-size: 90%;  color: black; }

.accentgraphic {
	float: left;
}

dl.linklist {
margin-left:110px;
clear: both;
}

* html dl.linklist {
margin-left:116px;
clear: both;
}




.aix, .hpux, .sun, .unix, .win2, .winnt, .win, .zos, .linux, .os390, .os400, .c, .cplusplus, .cobol, .fortran, .java, .macosx, .os2, .pl1, .rpg  {
   background-repeat: no-repeat;
   background-position: top left;
   margin-top: 0.5em;
   text-indent: 55px;
}
.aix        { background-image: url(ngaix.gif); }
.hpux       { background-image: url(nghpux.gif); }
.sun        { background-image: url(ngsolaris.gif); }
.unix       { background-image: url(ngunix.gif); }
.win2       { background-image: url(ng2000.gif); }
.winxp      { background-image: url(ngxp.gif); }
.winnt      { background-image: url(ngnt.gif); }
.win        { background-image: url(ngwin.gif); }
.zos        { background-image: url(ngzos.gif); }
.linux      { background-image: url(nglinux.gif); }
.os390      { background-image: url(ng390.gif); }
.os400      { background-image: url(ng400.gif); }
.c          { background-image: url(ngc.gif); }
.cplusplus  { background-image: url(ngcpp.gif); }
.cobol      { background-image: url(ngcobol.gif); }
.fortran    { background-image: url(ngfortran.gif); }
.java       { background-image: url(ngjava.gif); }
.macosx     { background-image: url(ngmacosx.gif); }
.os2        { background-image: url(ngos2.gif); }
.pl1        { background-image: url(ngpl1.gif); }
.rpg        { background-image: url(ngrpg.gif); }

/*
  For topic headers and footers.
*/

.runningheader a:hover {
    text-decoration: underline;
}

.runningfooter {
   font-family: sans-serif;
   font-size: 0.9em;
}

.runningfooter a:link,
.runningfooter a:active,
.runningfooter a:visited {
    font-weight: bold;
    text-decoration: underline;
}
.runningfooter a:hover {
    font-weight: bold;
    text-decoration: underline;
}

.hf-bold {
   font-weight: bold;
}

.hf-block {
   display: block;
}

.hf-compact {
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 0;
  padding-bottom: 0;
}

.hf-leftgap3 {
  padding-left: 3ex;
}

.hf-icon {
    margin-top: 0;
    border: 0;
    vertical-align: middle;
}

.hf-hr {
  color: #808080;
}

.runningheader-feedback {
  float: right;
  text-align: right;
}
pre.syntaxdiagram {
  width: 148em;